/*
 * sbmixer.h - Copyright (C) 1995 Pat Thoyts <pat@calubc.caladan.co.uk>
 *
 * $Id: sbmixer.h,v 0.2 1997/02/05 23:05:34 pat Exp $
 */

#include <stdlib.h>
#include <stdio.h>
#include <linux/soundcard.h>

#define MIXER_DEVICE  "/dev/mixer"
/* This is frankly not very useful and with glibc2 it doesn't work now
 * anyway.
 *#define CCUSED        "compiled with gcc libc version "_LINUX_C_LIB_VERSION
 */
#define CCUSED "compiled with a C compiler" /* ha! */

struct change_struct {
  char id;
  int new;
};

struct flag_struct {
  char debug;
  char verbose;
  int nr_changes;
  struct change_struct change[SOUND_MIXER_NRDEVICES];
  char large_range;
};

struct mixer_struct {
  int id;               /* the device number */
  const char *name;     /* the device name   */
  const char *label;    /* the label for this device */
  char stereo;          /* support stereo on this device ? */
  char can_record;      /* this is a recordable device */
  int level;            /* the level set for this device */
  int left;             /* level for the left channel (if stereo)*/
  int right;            /* level for right channel */
};

void get_options(int argc, char **argv, struct mixer_struct *device);
void usage(char *program_name);

